* {
    /* border: solid 5px; */
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
    overflow: hidden;
}

body {
    border-color: gold;
    background-color: #8f8f8f;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    height: 100vh;
}

.container {
    outline: solid 1px rgba(0, 0, 0, 1);
    -webkit-box-flex: 0;
        -ms-flex: 0 1 auto;
            flex: 0 1 auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    height: auto;
    width: 80%;
    max-width: 960px;
    max-height: 1160px;
    margin: 50px;
}

.toolbarContainer {
    border-color: white;
    background-color: rgb(128, 128, 128);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    height: auto;
    width: 100%;
    -webkit-box-flex: 1;
        -ms-flex: 1 0 auto;
            flex: 1 0 auto;
}

.pickerContainer {
    outline: solid 1px black;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

.colorSwatch {
    border-bottom: solid 1px black;
    background-color: rgb(128, 128, 128);
    -webkit-box-flex: 1;
        -ms-flex: 1 1 auto;
            flex: 1 1 auto;
    height: 50px;
    width: auto;
}

.colorSliderContainer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
}

.slider {
    outline: solid 1px rgb(0, 0, 0);
    background: #4f4f4f;
    height: 20px;
    width: 100%;
    -webkit-appearance: none;
       -moz-appearance: none;
            appearance: none;
}

#redSlider::-webkit-slider-thumb {
    background-color:rgb(255, 34, 34);
}
#redSlider::-moz-range-thumb {
    background-color:rgb(255, 34, 34);
}
#redSlider::-ms-thumb {
    background-color:rgb(255, 34, 34);
}
#greenSlider::-webkit-slider-thumb {
    background-color:rgb(0, 168, 22);
}
#greenSlider::-moz-range-thumb {
    background-color:rgb(0, 168, 22);
}
#greenSlider::-ms-thumb {
    background-color:rgb(0, 168, 22);
}
#blueSlider::-moz-range-thumb {
    background-color:rgb(0, 119, 255);
}
#blueSlider::-webkit-slider-thumb {
    background-color:rgb(0, 119, 255);
}
#blueSlider::-ms-thumb {
    background-color:rgb(0, 119, 255);
}
#redSlider, #greenSlider {
    border-bottom: solid 1px black;
}

.rightSideContainer {
    border-color: greenyellow;
    -webkit-box-flex: 1;
        -ms-flex: 1 1 auto;
            flex: 1 1 auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}
.gridSliderContainer {
    border-color: orange;
    -webkit-box-flex: 1;
        -ms-flex: 1 1 auto;
            flex: 1 1 auto;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
}

#gridSlider {
    border-left: solid 1px black;
    height: 25px;
}

#gridSliderText {
    border: rgb(236, 218, 50);
    font-family: 'Bebas Neue', 'Roboto', cursive;
    font-size: 1.35pc;
    padding-left: 5px;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    border: none;
    height: 50px;
    width: 10px;
    background-color: rgb(255, 0, 170);
    cursor: pointer;
}
.slider::-moz-range-thumb {
    -webkit-appearance: none;
    -moz-appearance: none;
         appearance: none;
    border: none;
    height: 50px;
    width: 10px;
    background-color: rgb(255, 0, 170);
    cursor: pointer;
}
.slider::-ms-thumb {
    -webkit-appearance: none;
    appearance: none;
    border: none;
    height: 50px;
    width: 10px;
    background-color: rgb(255, 0, 170);
    cursor: pointer;
}

.gridContainer{
    outline: solid 1px rgba(0, 0, 0, 1);
    background-color: rgb(206, 206, 206);
    -webkit-box-flex: 1;
        -ms-flex: 1 0 auto;
            flex: 1 0 auto;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (minmax(auto, auto))[2];
    grid-template-columns: repeat(2, minmax(auto, auto));
    width: 100%;
    max-width: 960px;
    max-height: 960px;
}

.gridDiv {
    outline:solid 1px rgba(228, 228, 228, 0.137);
    background-color: rgba(206, 206, 206);
    aspect-ratio: 1;
}

.buttonContainer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: flex-end;
}

.button {
    outline: solid 1px black;
    font-family: 'Bebas Neue', 'Roboto', cursive;
    font-size: 1.5pc;
    padding-left: 3px;
    padding-right: 3px;
    border: none;
    border-top: solid 1px black;
}